library ieee;
use ieee.std_logic_1164.all;

entity CircuitsMinuteries is
   port(DeclLong, DeclCourt, Horl: in std_logic;
   MC, ML: buffer std_logic);
end entity CircuitsMinuteries;

architecture ComportementMinuteries of CircuitsMinuteries is
component Monostable is
   port(Validation, Horl: in std_logic;
   Duree :in integer range 0 to 25;
   Qsor :buffer std_logic);
end component Monostable;

signal InitComptLong, InitComptCourt: integer range 0 to 25;
begin
   InitComptLong <= 25;
   InitComptCourt <= 4;
   MLongue:Monostable port map(Validation => DeclLong, Horl => Horl, Duree => InitComptLong, Qsor => ML);
   MCourte:Monostable port map(Validation => DeclCourt, Horl => Horl, Duree => InitComptCourt, Qsor => MC);
end architecture ComportementMinuteries;